> ## Documentation Index
> Fetch the complete documentation index at: https://docs.toku.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Issue Consumer Card

> Issues the caller's virtual consumer Rain card with the stored 30-day limit, or returns the existing card.

Not available to API keys.

## OpenAPI

````yaml api-reference/openapi.json POST /hris/issue-consumer-card
openapi: 3.1.0
info:
  title: Toku API
  version: 1.0.0
servers:
  - url: https://api.toku.com
security:
  - bearerAuth: []
paths:
  /hris/issue-consumer-card:
    post:
      operationId: issueConsumerCard
      summary: Issue Consumer Card
      description: >-
        Issues the caller's virtual consumer Rain card with the stored 30-day
        limit, or returns the existing card.


        Not available to API keys.
      responses:
        '200':
          description: Successful response
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/IssueConsumerCardResponse'
        '400':
          description: Bad request
        '401':
          description: Unauthorized
        '403':
          description: Forbidden
        '404':
          description: Not found
        '409':
          description: Conflict
        '429':
          description: Response 429
components:
  schemas:
    IssueConsumerCardResponse:
      type: object
      properties:
        rainCardId:
          type: string
        last4:
          type:
            - string
            - 'null'
      required:
        - rainCardId
        - last4
  securitySchemes:
    bearerAuth:
      type: http
      scheme: bearer
````
